Bug 131155 - Smooth increasing/decreasing size of thumbnails like in F-Spot or iPhoto
Summary: Smooth increasing/decreasing size of thumbnails like in F-Spot or iPhoto
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-Image (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 44 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-21 11:47 UTC by Hans Meier
Modified: 2012-09-04 09:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Meier 2006-07-21 11:47:23 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    Ubuntu Packages

Right now, there are only fixed sizes of the thumbnails available. A better solution would be to scale the thumbnails smoothly, as in F-Spot or iPhoto. 

First, it looks much better. Second, resizing the thumbnails is much faster (only the biggest thumbnail has to be created once, and all smaller versions are just scaled down). Third, the user can see the thumbnails in exactly the size and number per screen he/she wants.
Comment 1 Colin Guthrie 2006-07-21 13:29:20 UTC
Has to be said but from a purely aesthetic point of view I'd really like this.
Comment 2 caulier.gilles 2007-03-22 22:20:33 UTC
SVN commit 645545 by cgilles:

digiKam from trunk : add a new slider on the status bar to set finelly the thumbs size in album icon view, like iphoto do.
Now, you can set the thumbs size by step of 8 pixels between 32 to 256 instead the old 5 const sizes hardcoded (32, 64, 100, 160, 256)
BUG: 131155

 M  +92 -55    digikamapp.cpp  
 M  +8 -3      digikamapp.h  
 M  +10 -2     digikamappprivate.h  
 M  +27 -79    digikamview.cpp  
 M  +6 -3      digikamview.h  
 M  +28 -19    thumbnailsize.h